﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using NPOI.HSSF.UserModel;
using NPOI.SS.UserModel;

namespace testDemoNpoi
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void exlBtn_Click(object sender, EventArgs e)
        {
            int sucCount = 0;
            int errorCount = 0;
            #region 数据源赋值
            DataTable ds = new DataTable();
            ds.Columns.Add("序号");
            ds.Columns.Add("1列");
            ds.Columns.Add("2列");
            ds.Columns.Add("3列");
            ds.Columns.Add("4列");
            ds.Columns.Add("5列");
            ds.Columns.Add("6列");
            for (int i = 0; i < 100; i++)
            {
                ds.Rows.Add(i, "1列", "2列", "3列", "4列", "5列", "6列");
            }
            #endregion

            //导出
            string TemplateUrl = "~/XLSTemplate/自定义导出模版.xls";
            HSSFWorkbook hssfworkbook = ExcelHelper.DataSetExportToExcel(ds, TemplateUrl, "Sheet1", 2);
            ISheet sheet = hssfworkbook.GetSheet("Sheet1");

            string dateTimeString = DateTime.Now.ToString("yyyy-MM-dd HH点mm分");
            //填充表头内容
            string strReportTitle = "自定义导出-【" + dateTimeString + "】";
            sheet.GetRow(0).GetCell(0).SetCellValue(strReportTitle);
            sheet.GetRow(1).GetCell(0).SetCellValue("该数据统计报表截止至" + dateTimeString);

            //下载
            ExcelHelper.DownloadExcelFile(hssfworkbook, strReportTitle + ".xls");
        }
    }
}
